> For the complete documentation index, see [llms.txt](https://doklado-mnojd9vj.documentationai.com/llms.txt).
> Use it to discover all available pages before exploring further.

# List organizations


<PlaygroundComponent />

<AuthParams schemes={["apiKey"]}>
<AuthType scheme="apiKey">
<ParamField header="api_key" param-type="string" required="true">
API Key for authentication. Provide your API key in the header.
</ParamField>
</AuthType>
</AuthParams>

<BodyParams contentTypes={["application/json"]} defaultType="application/json">
  <ContentType type="application/json">
<ParamField showLocation="false" body="data" param-type="object" required="false">

<Expandable title="Object Properties" default-open="false">

  <ParamField showLocation="false" body="identificationNumber" param-type="string" required="false">
  Company identification number (IČO)
  </ParamField>

  <ParamField showLocation="false" body="taxIdentificationNumber" param-type="string" required="false">
  Tax identification number (DIČ)
  </ParamField>

</Expandable>
</ParamField>
  </ContentType>
</BodyParams>

<Request tabs="curl,python,javascript,go,ruby">

```bash
curl -X POST "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v3/organization/manage/list" \
  -H "Content-Type: application/json" \
  -H "api_key: YOUR_API_KEY" \
  -d '{
  "data": {
    "identificationNumber": "example_string",
    "taxIdentificationNumber": "example_string"
  }
}'
```

```python
import requests
import json

url = "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v3/organization/manage/list"
headers = {
  "Content-Type": "application/json",
  "api_key": "YOUR_API_KEY"
}
data = {
  "data": {
    "identificationNumber": "example_string",
    "taxIdentificationNumber": "example_string"
  }
}

response = requests.post(url, headers=headers, json=data)
print(response.json())
```

```javascript
const response = await fetch("https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v3/organization/manage/list", {
  method: "POST",
  headers: {
  "Content-Type": "application/json",
  "api_key": "YOUR_API_KEY"
},
  body: JSON.stringify({
  "data": {
    "identificationNumber": "example_string",
    "taxIdentificationNumber": "example_string"
  }
})
});

const data = await response.json();
console.log(data);
```

```go
package main

import (
    "fmt"
    "net/http"
    "bytes"
    "encoding/json"
)

func main() {
    data := []byte(`{
  "data": {
    "identificationNumber": "example_string",
    "taxIdentificationNumber": "example_string"
  }
}`)

    req, err := http.NewRequest("POST", "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v3/organization/manage/list", bytes.NewBuffer(data))
    if err != nil {
        panic(err)
    }

    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("api_key", "YOUR_API_KEY")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    fmt.Println("Response Status:", resp.Status)
}
```

```ruby
require 'net/http'
require 'json'

uri = URI('https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v3/organization/manage/list')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['api_key'] = 'YOUR_API_KEY'
request.body = '{
  "data": {
    "identificationNumber": "example_string",
    "taxIdentificationNumber": "example_string"
  }
}'

response = http.request(request)
puts response.body
```

</Request>

### Responses

<div data-component="ResponsesCollection"><Expandable title="200 - Successful operation" default-open="true">

<ResponseField name="data" field-type="object" required="false">

<Expandable title="Object Properties" default-open="false">

<ResponseField name="documents" field-type="array" required="false">

<Expandable title="Array Items" default-open="false">

<ResponseField name="organizationId" field-type="string" required="false">
Organization ID (IČO)
</ResponseField>

<ResponseField name="name" field-type="string" required="false">

</ResponseField>

<ResponseField name="taxIdentificationNumber" field-type="string" required="false">
Tax identification number (DIČ)
</ResponseField>

<ResponseField name="identificationNumber" field-type="string" required="false">
Company identification number (IČO)
</ResponseField>

<ResponseField name="countryCode" field-type="string" required="false">

</ResponseField>

</Expandable>
</ResponseField>

</Expandable>
</ResponseField>

<ResponseField name="success" field-type="boolean" required="false">

</ResponseField>

<ResponseField name="message" field-type="string" required="false">
optional message to help user understand error code
</ResponseField>

<ResponseField name="code" field-type="string" required="false" enum="APP_UNAUTHENTICATED,APP_INCORRECT_INPUT_DATA,SAVE_DATA_ERROR_CODE">

</ResponseField>

</Expandable>

<Expandable title="403 - Not authorized" default-open="false">

*Not authorized*

</Expandable>

<Expandable title="404 - Not found" default-open="false">

*Not found*

</Expandable>

<Expandable title="500 - Server invocation error" default-open="false">

*Server invocation error*

</Expandable>

</div>

<Response tabs={["200","403","404","500"]} dropdown="true">

```json
{
  "data": {
    "documents": [
      {
        "organizationId": "example_string",
        "name": "John Doe",
        "taxIdentificationNumber": "example_string",
        "identificationNumber": "example_string",
        "countryCode": "USA"
      }
    ]
  },
  "success": true,
  "message": "example_string",
  "code": "APP_UNAUTHENTICATED"
}
```

```json
{
  "error": "Forbidden",
  "message": "You don't have permission to access this resource",
  "code": 403
}
```

```json
{
  "error": "Not Found",
  "message": "The requested resource was not found",
  "code": 404
}
```

```json
{
  "error": "Internal Server Error",
  "message": "An unexpected error occurred on the server",
  "code": 500,
  "requestId": "req_1234567890"
}
```

</Response>

